summaryrefslogtreecommitdiffstats
path: root/eeepc-acpi-scripts
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-04-20 21:39:02 +0000
committer Eric Hameleers <alien@slackware.com>2009-04-20 21:39:02 +0000
commit3ca7cd00aaeb74a9b0002a5f06e31fcc32713906 (patch)
tree5448e6d36f66bb175b6754be44c3dbb56509e51a /eeepc-acpi-scripts
parent412c721d2ea24c2a8032eb9299761d0606c9d23c (diff)
downloadasb-3ca7cd00aaeb74a9b0002a5f06e31fcc32713906.tar.gz
asb-3ca7cd00aaeb74a9b0002a5f06e31fcc32713906.tar.xz
Initial revision
Diffstat (limited to 'eeepc-acpi-scripts')
-rwxr-xr-xeeepc-acpi-scripts/build/eeepc-acpi-scripts.SlackBuild121
-rw-r--r--eeepc-acpi-scripts/build/slack-desc19
2 files changed, 140 insertions, 0 deletions
diff --git a/eeepc-acpi-scripts/build/eeepc-acpi-scripts.SlackBuild b/eeepc-acpi-scripts/build/eeepc-acpi-scripts.SlackBuild
new file mode 100755
index 00000000..10b0d744
--- /dev/null
+++ b/eeepc-acpi-scripts/build/eeepc-acpi-scripts.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2009 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: eeepc-acpi-scripts
+# Descr: acpi scripts for the asus eeepc
+# URL: http://git.debian.org/?p=debian-eeepc/eeepc-acpi-scripts.git
+# Needs:
+# Changelog:
+# 1.1.0-1: 20/Apr/2009 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh eeepc-acpi-scripts.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=eeepc-acpi-scripts
+VERSION=${VERSION:-1.1.0}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+
+DOCS="TODO debian/NEWS debian/README.Debian debian/copyright"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+tar -xvf ${SOURCE}
+cd ${PRGNAM}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Install all the needed stuff to the package dir
+mkdir -p $PKG/usr/share/${PRGNAM}
+cp -a functions.sh $PKG/usr/share/${PRGNAM}/
+cp -a etc $PKG/
+cp -a lib $PKG/
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) | sed \
+ -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
+ -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
+ -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
+ > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
diff --git a/eeepc-acpi-scripts/build/slack-desc b/eeepc-acpi-scripts/build/slack-desc
new file mode 100644
index 00000000..c45fee1e
--- /dev/null
+++ b/eeepc-acpi-scripts/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+eeepc-acpi-scripts: eeepc-acpi-scripts (acpi scripts for the asus eeepc)
+eeepc-acpi-scripts:
+eeepc-acpi-scripts: This package contains a series of scripts taken from the
+eeepc-acpi-scripts: debian-eeepc repository which enable several buttons and
+eeepc-acpi-scripts: features that do not work out of the box.
+eeepc-acpi-scripts:
+eeepc-acpi-scripts:
+eeepc-acpi-scripts:
+eeepc-acpi-scripts:
+eeepc-acpi-scripts: package created by: Eric Hameleers <alien@slackware.com>
+eeepc-acpi-scripts: